import javax.swing.*;

class H3YOEx3
{
public static void main(String args[])
{
int x1 = Integer.parseInt(JOptionPane.showInputDialog( "birinci bayagı kesirin payını giriniz:"));
int y1 = Integer.parseInt(JOptionPane.showInputDialog( "birinci bayagı kesirin paydasını giriniz:"));
bayagikesir P1=new bayagikesir(x1,y1);
int x2 = Integer.parseInt(JOptionPane.showInputDialog( "ikinci bayagı kesirin payını giriniz:"));
int y2 = Integer.parseInt(JOptionPane.showInputDialog( "ikinci bayagı kesirin paydasını giriniz:"));
bayagikesir P2=new bayagikesir(x2,y2);
String s="ilk bayağı kesir            : "+P1.toString()+"\n";
s+="ikinci bayağı kesir         : "+P2.toString()+"\n";
s+="iki bayağı kesirin toplamı : "+bayagikesir.toString(bayagikesir.topla(P1,P2))+"\n";
s+="iki bayağı kesirin farkı   : "+bayagikesir.toString(bayagikesir.cikar(P1,P2))+"\n";
s+="iki bayağı kesirin çarpımı : "+bayagikesir.toString(bayagikesir.carp(P1,P2))+"\n";
s+="iki bayağı kesirin bölümü  : "+bayagikesir.toString(bayagikesir.bol(P1,P2))+"\n";
String s1="Sınıf kavramı alıştırması (bayağı kesir hesabı)";
JOptionPane.showMessageDialog(null,s,s1, JOptionPane.PLAIN_MESSAGE);
}
}